<?php
//    MyDMS. Document Management System
//    Copyright (C) 2002-2005  Markus Westphal
//    Copyright (C) 2006 Malcolm Cowe
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

include("../inc/inc.Settings.php");
include("../inc/inc.AccessUtils.php");
include("../inc/inc.ClassAccess.php");
include("../inc/inc.ClassDocument.php");
include("../inc/inc.ClassFolder.php");
include("../inc/inc.ClassGroup.php");
include("../inc/inc.ClassUser.php");
include("../inc/inc.DBAccess.php");
include("../inc/inc.FileUtils.php");
include("../inc/inc.Language.php");
include("../inc/inc.ClassUI.php");
include("../inc/inc.Authentication.php");

if (!isset($_GET["action"]) || (strcasecmp($_GET["action"], "delnotify") && strcasecmp($_GET["action"],"addnotify"))) {
	UI::htmlStartPage(getMLText("document_title", array("documentname" => getMLText("invalid_action"))));
	UI::globalNavigation();
	UI::pageNavigation(getMLText("invalid_action"));
	UI::htmlEndPage();
	exit;
}
$action = $_GET["action"];

if (isset($_GET["userid"]) && (!is_numeric($_GET["userid"]) || $_GET["userid"]<-1)) {
	UI::htmlStartPage(getMLText("document_title", array("documentname" => getMLText("unknown_user"))));
	UI::globalNavigation();
	UI::pageNavigation(getMLText("unknown_user"));
	UI::htmlEndPage();
	exit;
}
$userid = $_GET["userid"];

if (isset($_GET["groupid"]) && (!is_numeric($_GET["groupid"]) || $_GET["groupid"]<-1)) {
	UI::htmlStartPage(getMLText("document_title", array("documentname" => getMLText("unknown_group"))));
	UI::globalNavigation();
	UI::pageNavigation(getMLText("unknown_group"));
	UI::htmlEndPage();
	exit;
}
$groupid = $_GET["groupid"];

if (!isset($_GET["documentid"]) || !is_numeric($_GET["documentid"]) || intval($_GET["documentid"])<1) {
	UI::htmlStartPage(getMLText("document_title", array("documentname" => getMLText("invalid_doc_id"))));
	UI::globalNavigation();
	UI::pageNavigation(getMLText("invalid_doc_id"));
	UI::htmlEndPage();
	exit;
}
$documentid = $_GET["documentid"];
$document = getDocument($documentid);
if (!is_object($document)) {
	UI::htmlStartPage(getMLText("document_title", array("documentname" => getMLText("invalid_doc_id"))));
	UI::globalNavigation();
	UI::pageNavigation(getMLText("invalid_doc_id"));
	UI::htmlEndPage();
	exit;
}

$folder = $document->getFolder();
$docPathHTML = getFolderPathHTML($folder, true). " / <a href=\"../out/out.ViewDocument.php?documentid=".$documentid."\">".$document->getName()."</a>";
UI::htmlStartPage(getMLText("document_title", array("documentname" => $document->getName())));
UI::globalNavigation($folder);
UI::pageNavigation($docPathHTML, "view_document");

if ($document->getAccessMode($user) < M_READWRITE) {
	UI::contentHeading(getMLText("edit_existing_notify") . ": " . $document->getName());
	UI::contentContainer(getMLText("access_denied"));
	UI::htmlEndPage();
	exit;
}

UI::contentHeading(getMLText("edit_document_notify"));
UI::contentContainerStart();

//Benachrichtigung lschen ------------------------------------------------------------------------
if ($action == "delnotify")	{
	printMLText("deleting_document_notify");
	if (isset($userid)) {
		if (!is_object(getUser($userid))) {
			printMLText("unknown_user");
			UI::contentContainerEnd();
			UI::htmlEndPage();
			exit;
		}
		$document->removeNotify($userid, true);
	}
	else if (isset($groupid)) {
		if (!is_object(getGroup($groupid))) {
			printMLText("unknown_group");
			UI::contentContainerEnd();
			UI::htmlEndPage();
			exit;
		}
		$document->removeNotify($groupid, false);
	}
}
	
	//Benachrichtigung hinzufgen ---------------------------------------------------------------------
else if ($action == "addnotify") {
	printMLText("adding_document_notify");
	if ($userid != -1) {
		if (!is_object(getUser($userid))) {
			printMLText("unknown_user");
			UI::contentContainerEnd();
			UI::htmlEndPage();
			exit;
		}
		$document->addNotify($userid, true);
	}
	if ($groupid != -1) {
		if (!is_object(getGroup($groupid))) {
			printMLText("unknown_group");
			UI::contentContainerEnd();
			UI::htmlEndPage();
			exit;
		}
		$document->addNotify($groupid, false);
	}
}
printMLText("op_finished");

UI::contentContainerEnd();
UI::htmlEndPage();
?>
